searchNodes=[{"ref":"Aliyun.Oss.html","title":"Aliyun.Oss","type":"module","doc":"Documentation for Aliyun.Oss. Aliyun.Oss.Bucket: Bucket related operations. Aliyun.Oss.Object: Object related operations."},{"ref":"Aliyun.Oss.Bucket.html","title":"Aliyun.Oss.Bucket","type":"module","doc":"Bucket 相关操作"},{"ref":"Aliyun.Oss.Bucket.html#delete_bucket/2","title":"Aliyun.Oss.Bucket.delete_bucket/2","type":"function","doc":"DeleteBucket用于删除某个Bucket Examples iex&gt; Aliyun.Oss.Bucket.delete_bucket(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:26:36 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C38290C41F2DE32412A3A88&quot;}, {&quot;x-oss-server-time&quot;, &quot;230&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.delete_bucket(&quot;unknown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;Error&gt; &lt;Code&gt;NoSuchBucket&lt;/Code&gt; &lt;Message&gt;The specified bucket does not exist.&lt;/Message&gt; &lt;RequestId&gt;5C3829B29BF380354CF9C2E8&lt;/RequestId&gt; &lt;HostId&gt;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&lt;/HostId&gt; &lt;BucketName&gt;unknown-bucket&lt;/BucketName&gt; &lt;/Error&gt;&quot;, parsed_details: %{ &quot;BucketName&quot; =&gt; &quot;unknown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5C3000000000000000000000&quot; }, status_code: 404 }} 注：所有 DeleteBucketXXX 相关操作亦可由此接口实现, 即 Bucket.delete_bucket_logging(&quot;some-bucket&quot;) 等同于 Bucket.delete_bucket(&quot;some-bucket&quot;, %{&quot;logging&quot; =&gt; nil})"},{"ref":"Aliyun.Oss.Bucket.html#delete_bucket_encryption/1","title":"Aliyun.Oss.Bucket.delete_bucket_encryption/1","type":"function","doc":"DeleteBucketEncryption接口用于删除Bucket加密规则。 Examples iex&gt; Aliyun.Oss.Bucket.delete_bucket_encryption(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:19:45 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C3000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;90&quot;} ] }}"},{"ref":"Aliyun.Oss.Bucket.html#delete_bucket_lifecycle/1","title":"Aliyun.Oss.Bucket.delete_bucket_lifecycle/1","type":"function","doc":"通过DeleteBucketLifecycle接口来删除指定 Bucket 的生命周期规则。 Examples iex&gt; Aliyun.Oss.Bucket.delete_bucket_lifecycle(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:19:45 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C3000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;90&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.delete_bucket_lifecycle(&quot;unknown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ parsed_details: %{ &quot;BucketName&quot; =&gt; &quot;unknown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5C38283EC84D1C4471F2F48A&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot;, status_code: 404 }}"},{"ref":"Aliyun.Oss.Bucket.html#delete_bucket_logging/1","title":"Aliyun.Oss.Bucket.delete_bucket_logging/1","type":"function","doc":"DeleteBucketLogging接口用于关闭bucket访问日志记录功能 Examples iex&gt; Aliyun.Oss.Bucket.delete_bucket_logging(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:19:45 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C3000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;90&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.delete_bucket_logging(&quot;unknown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ parsed_details: %{ &quot;BucketName&quot; =&gt; &quot;unknown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5C38283EC84D1C4471F2F48A&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot;, status_code: 404 }}"},{"ref":"Aliyun.Oss.Bucket.html#delete_bucket_website/1","title":"Aliyun.Oss.Bucket.delete_bucket_website/1","type":"function","doc":"DeleteBucketWebsite操作用于关闭Bucket的静态网站托管模式以及跳转规则。 Examples iex&gt; Aliyun.Oss.Bucket.delete_bucket_website(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:19:45 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C3000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;90&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.delete_bucket_website(&quot;unknown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ parsed_details: %{ &quot;BucketName&quot; =&gt; &quot;unknown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5C38283EC84D1C4471F2F48A&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot;, status_code: 404 }}"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket/3","title":"Aliyun.Oss.Bucket.get_bucket/3","type":"function","doc":"GetBucket(ListObject) 接口可用来列出 Bucket中所有Object的信息。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket(&quot;some-bucket&quot;, %{&quot;prefix&quot; =&gt; &quot;foo/&quot;}) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;ListAllMyBucketsResult&quot; =&gt; %{ &quot;Contents&quot; =&gt; [ %{ &quot;ETag&quot; =&gt; &quot;&quot;D410293F000B000D00D&quot;&quot;, &quot;key&quot; =&gt; &quot;foo/bar&quot;, &quot;LastModified&quot; =&gt; &quot;2018-09-12T02:59:41.000Z&quot;, &quot;Owner&quot; =&gt; %{&quot;DislayName&quot; =&gt; &quot;11111111&quot;, &quot;ID&quot; =&gt; &quot;11111111&quot;}, &quot;Size&quot; =&gt; &quot;12345&quot;, &quot;StorageClass&quot; =&gt; &quot;IA&quot;, &quot;Type&quot; =&gt; &quot;Normal&quot; }, ... ], &quot;Delimiter&quot; =&gt; nil, &quot;IsTruncated&quot; =&gt; true, &quot;Marker&quot; =&gt; nil, &quot;MaxKeys&quot; =&gt; 100, &quot;Name&quot; =&gt; &quot;some-bucket&quot;, &quot;NextMarker&quot; =&gt; &quot;XXXXX&quot;, &quot;Prefix&quot; =&gt; &quot;foo/&quot; } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } } iex&gt; Aliyun.Oss.Bucket.get_bucket(&quot;unknown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ status_code: 404, parsed_details: %{ &quot;ListBucketResult&quot; =&gt; %{ &quot;BucketName&quot; =&gt; &quot;unknown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unknown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5BFF89955E29FF66F10B9763&quot; } }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot; } } 注：所有 GetBucketXXX 相关操作亦可由此接口实现, 即 Bucket.get_bucket_acl(&quot;some-bucket&quot;) 等同于 Bucket.get_bucket(&quot;some-bucket&quot;, %{}, %{&quot;acl&quot; =&gt; nil})"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_acl/1","title":"Aliyun.Oss.Bucket.get_bucket_acl/1","type":"function","doc":"GetBucketAcl 接口用来获取某个Bucket的访问权限。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_acl(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;AccessControlPolicy&quot; =&gt; %{ &quot;AccessControlList&quot; =&gt; %{&quot;Grant&quot; =&gt; &quot;private&quot;}, &quot;Owner&quot; =&gt; %{&quot;DislayName&quot; =&gt; &quot;11111111&quot;, &quot;ID&quot; =&gt; &quot;11111111&quot;} } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;} ] } }"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_encryption/1","title":"Aliyun.Oss.Bucket.get_bucket_encryption/1","type":"function","doc":"GetBucketEncryption 用于获取Bucket加密规则。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_encryption(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;ServerSideEncryptionRule&quot; =&gt; %{ &quot;ApplyServerSideEncryptionByDefault&quot; =&gt; %{ &quot;SSEAlgorithm&quot; =&gt; &quot;AES256&quot; } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] }}"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_info/1","title":"Aliyun.Oss.Bucket.get_bucket_info/1","type":"function","doc":"GetBucketInfo 接口用于查看bucket的相关信息。 可查看内容包含如下： 创建时间 外网访问Endpoint 内网访问Endpoint bucket的拥有者信息 bucket的ACL（AccessControlList） Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_info(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;BucketInfo&quot; =&gt; %{ &quot;Bucket&quot; =&gt; %{ &quot;AccessControlList&quot; =&gt; %{&quot;Grant&quot; =&gt; &quot;private&quot;}, &quot;Comment&quot; =&gt; nil, &quot;CreationDate&quot; =&gt; &quot;2018-08-29T01:52:03.000Z&quot;, &quot;DataRedundancyType&quot; =&gt; &quot;LRS&quot;, &quot;ExtranetEndpoint&quot; =&gt; &quot;oss-cn-shenzhen.aliyuncs.com&quot;, &quot;IntranetEndpoint&quot; =&gt; &quot;oss-cn-shenzhen-internal.aliyuncs.com&quot;, &quot;Location&quot; =&gt; &quot;oss-cn-shenzhen&quot;, &quot;Name&quot; =&gt; &quot;some-bucket&quot;, &quot;Owner&quot; =&gt; %{ &quot;DisplayName&quot; =&gt; &quot;11111111&quot;, &quot;ID&quot; =&gt; &quot;11111111&quot; }, &quot;StorageClass&quot; =&gt; &quot;IA&quot; } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;} ] }"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_lifecycle/1","title":"Aliyun.Oss.Bucket.get_bucket_lifecycle/1","type":"function","doc":"GetBucketLifecycle 用于查看Bucket的Lifecycle配置。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_lifecycle(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;LifecycleConfiguration&quot; =&gt; %{ &quot;Rule&quot; =&gt; %{ &quot;ID&quot; =&gt; &quot;delete after one day&quot;, &quot;Prefix&quot; =&gt; &quot;logs/&quot;, &quot;Status&quot; =&gt; &quot;Enabled&quot;, &quot;Expiration&quot; =&gt; %{ &quot;Days&quot; =&gt; &quot;1&quot; } } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] }}"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_location/1","title":"Aliyun.Oss.Bucket.get_bucket_location/1","type":"function","doc":"GetBucketLocation GetBucketLocation用于查看Bucket所属的数据中心位置信息。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_location(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{&quot;LocationConstraint&quot; =&gt; &quot;oss-cn-shenzhen&quot;}, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;} ] } }"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_logging/1","title":"Aliyun.Oss.Bucket.get_bucket_logging/1","type":"function","doc":"GetBucketLogging 用于查看Bucket的访问日志配置情况。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_logging(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;BucketLoggingStatus&quot; =&gt; %{ &quot;LoggingEnabled&quot; =&gt; %{ &quot;TargetBucket&quot; =&gt; &quot;some-bucket&quot;, &quot;TargetPrefix&quot; =&gt; &quot;oss-accesslog/&quot; } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] }}"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_referer/1","title":"Aliyun.Oss.Bucket.get_bucket_referer/1","type":"function","doc":"GetBucketReferer 操作用于查看bucket的Referer相关配置。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_referer(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;RefererConfiguration&quot; =&gt; %{ &quot;AllowEmptyReferer&quot; =&gt; &quot;true&quot;, &quot;RefererList&quot; =&gt; nil } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] }}"},{"ref":"Aliyun.Oss.Bucket.html#get_bucket_website/1","title":"Aliyun.Oss.Bucket.get_bucket_website/1","type":"function","doc":"GetBucketWebsite 接口用于查看bucket的静态网站托管状态以及跳转规则。 Examples iex&gt; Aliyun.Oss.Bucket.get_bucket_website(&quot;some-bucket&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;WebsiteConfiguration&quot; =&gt; %{&quot;IndexDocument&quot; =&gt; %{&quot;Suffix&quot; =&gt; &quot;index.html&quot;}} }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] }} iex&gt; Aliyun.Oss.Bucket.get_bucket_website(&quot;unkown-bucket&quot;) {:error, %Aliyun.Oss.Client.Error{ status_code: 404, parsed_details: %{ &quot;BucketName&quot; =&gt; &quot;unkown-bucket&quot;, &quot;Code&quot; =&gt; &quot;NoSuchBucket&quot;, &quot;HostId&quot; =&gt; &quot;unkown-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;The specified bucket does not exist.&quot;, &quot;RequestId&quot; =&gt; &quot;5C0000000000000000000000&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot; } }"},{"ref":"Aliyun.Oss.Bucket.html#list_buckets/1","title":"Aliyun.Oss.Bucket.list_buckets/1","type":"function","doc":"GetService (ListBuckets) 对于服务地址作Get请求可以返回请求者拥有的所有Bucket。 Examples iex&gt; Aliyun.Oss.Bucket.list_buckets(%{&quot;max-keys&quot; =&gt; 5}) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;Buckets&quot; =&gt; %{ &quot;Bucket&quot; =&gt; [ %{ &quot;CreationDate&quot; =&gt; &quot;2018-10-12T07:57:51.000Z&quot;, &quot;ExtranetEndpoint&quot; =&gt; &quot;oss-cn-shenzhen.aliyuncs.com&quot;, &quot;IntranetEndpoint&quot; =&gt; &quot;oss-cn-shenzhen-internal.aliyuncs.com&quot;, &quot;Location&quot; =&gt; &quot;oss-cn-shenzhen&quot;, &quot;Name&quot; =&gt; &quot;XXXXX&quot;, &quot;StorageClass&quot; =&gt; &quot;Standard&quot; }, ... ] }, &quot;IsTruncated&quot; =&gt; true, &quot;Marker&quot; =&gt; nil, &quot;MaxKeys&quot; =&gt; 5, &quot;NextMarker&quot; =&gt; &quot;XXXXX&quot;, &quot;Owner&quot; =&gt; %{&quot;DislayName&quot; =&gt; &quot;11111111&quot;, &quot;ID&quot; =&gt; &quot;11111111&quot;}, &quot;Prefix&quot; =&gt; nil }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } } iex&gt; Aliyun.Oss.Bucket.list_buckets(%{&quot;max-keys&quot; =&gt; 100000}) {:error, %Aliyun.Oss.Client.Error{ status_code: 400, parsed_details: %{ &quot;ArgumentName&quot; =&gt; &quot;max-keys&quot;, &quot;ArgumentValue&quot; =&gt; &quot;100000&quot;, &quot;Code&quot; =&gt; &quot;InvalidArgument&quot;, &quot;HostId&quot; =&gt; &quot;oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;Argument max-keys must be an integer between 1 and 1000.&quot;, &quot;RequestId&quot; =&gt; &quot;5BFF8912332CCD8D560F65D9&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot; } }"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket/4","title":"Aliyun.Oss.Bucket.put_bucket/4","type":"function","doc":"PutBucket接口用于创建 Bucket Examples iex&gt; Aliyun.Oss.Bucket.put_bucket(&quot;new-bucket&quot;, %{&quot;x-oss-acl&quot; =&gt; &quot;private&quot;}) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 04:35:39 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C381D000000000000000000&quot;}, {&quot;Location&quot;, &quot;/new-bucket&quot;}, {&quot;x-oss-server-time&quot;, &quot;438&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.put_bucket(&quot;new-bucket&quot;, %{&quot;x-oss-acl&quot; =&gt; &quot;invalid-permission&quot;}) # get error {:error, %Aliyun.Oss.Client.Error{ parsed_details: %{ &quot;ArgumentName&quot; =&gt; &quot;x-oss-acl&quot;, &quot;ArgumentValue&quot; =&gt; &quot;invalid-permission&quot;, &quot;Code&quot; =&gt; &quot;InvalidArgument&quot;, &quot;HostId&quot; =&gt; &quot;new-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;no such bucket access control exists&quot;, &quot;RequestId&quot; =&gt; &quot;5C3000000000000000000000&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot;, status_code: 400 }} 注：所有 PutBucketXXX 相关操作亦可由此接口实现, 即 Bucket.put_bucket_acl(&quot;some-bucket&quot;, &quot;private&quot;) 等同于 Bucket.put_bucket(&quot;some-bucket&quot;, %{&quot;x-oss-acl&quot; =&gt; &quot;private&quot;}, %{&quot;acl&quot; =&gt; &quot;private&quot;}, &quot;&quot;)"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket_acl/2","title":"Aliyun.Oss.Bucket.put_bucket_acl/2","type":"function","doc":"PutBucketACL接口用于修改Bucket访问权限 Examples iex&gt; Aliyun.Oss.Bucket.put_bucket_acl(&quot;some-bucket&quot;, &quot;public-read&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 04:43:42 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;Location&quot;, &quot;/some-bucket&quot;}, {&quot;x-oss-server-time&quot;, &quot;333&quot;} ] }} iex&gt; Aliyun.Oss.Bucket.put_bucket_acl(&quot;some-bucket&quot;, &quot;invalid-permission&quot;) {:error, %Aliyun.Oss.Client.Error{ parsed_details: %{ &quot;ArgumentName&quot; =&gt; &quot;x-oss-acl&quot;, &quot;ArgumentValue&quot; =&gt; &quot;invalid-read&quot;, &quot;Code&quot; =&gt; &quot;InvalidArgument&quot;, &quot;HostId&quot; =&gt; &quot;some-bucket.oss-cn-shenzhen.aliyuncs.com&quot;, &quot;Message&quot; =&gt; &quot;no such bucket access control exists&quot;, &quot;RequestId&quot; =&gt; &quot;5C3000000000000000000000&quot; }, body: &quot;&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;...&lt;/xml&gt;&quot;, status_code: 400 }}"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket_encryption/2","title":"Aliyun.Oss.Bucket.put_bucket_encryption/2","type":"function","doc":"PutBucketEncryption接口用于配置Bucket的加密规则。 Options :algorithm - Accept value: :aes256, :kms, default is :aes256 :kms_master_key_id - Should and only be set if algorithm is :kms Examples iex&gt; Aliyun.Oss.Bucket.put_bucket_encryption(&quot;some-bucket&quot;, algorithm: :aes256) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:05:50 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;63&quot;} ] }}"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket_logging/3","title":"Aliyun.Oss.Bucket.put_bucket_logging/3","type":"function","doc":"PutBucketLogging接口用于为 Bucket 开启访问日志记录功能。 Examples iex&gt; Aliyun.Oss.Bucket.put_bucket_logging(&quot;some-bucket&quot;, &quot;target-bucket&quot;, &quot;target-prefix&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:05:50 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;63&quot;} ] }}"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket_referer/2","title":"Aliyun.Oss.Bucket.put_bucket_referer/2","type":"function","doc":"PutBucketReferer接口用于设置Bucket的Referer访问白名单以及允许Referer字段是否为空。 Examples iex&gt; xml_body = &quot;&quot;&quot; ...&gt; &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; ...&gt; &lt;RefererConfiguration&gt; ...&gt; &lt;AllowEmptyReferer&gt;true&lt;/AllowEmptyReferer &gt; ...&gt; &lt;RefererList&gt; ...&gt; &lt;Referer&gt; http://www.aliyun.com&lt;/Referer&gt; ...&gt; &lt;Referer&gt; https://www.aliyun.com&lt;/Referer&gt; ...&gt; &lt;Referer&gt; http://www.*.com&lt;/Referer&gt; ...&gt; &lt;Referer&gt; https://www.?.aliyuncs.com&lt;/Referer&gt; ...&gt; &lt;/RefererList&gt; ...&gt; &lt;/RefererConfiguration&gt; ...&gt; &quot;&quot;&quot; iex&gt; Aliyun.Oss.Bucket.put_bucket_referer(&quot;some-bucket&quot;, xml_body) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:05:50 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;63&quot;} ] }}"},{"ref":"Aliyun.Oss.Bucket.html#put_bucket_website/2","title":"Aliyun.Oss.Bucket.put_bucket_website/2","type":"function","doc":"PutBucketWebsite接口用于将一个bucket设置成静态网站托管模式，以及设置跳转规则。 Examples iex&gt; xml_body = &quot;&quot;&quot; ...&gt; &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; ...&gt; &lt;WebsiteConfiguration&gt; ...&gt; &lt;IndexDocument&gt; ...&gt; &lt;Suffix&gt;index.html&lt;/Suffix&gt; ...&gt; &lt;/IndexDocument&gt; ...&gt; ... ...&gt; ... ...&gt; &lt;/WebsiteConfiguration&gt; ...&gt; &quot;&quot;&quot; iex&gt; Aliyun.Oss.Bucket.put_bucket_website(&quot;some-bucket&quot;, xml_body) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 11 Jan 2019 05:05:50 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;63&quot;} ] }}"},{"ref":"Aliyun.Oss.Bucket.html#t:error/0","title":"Aliyun.Oss.Bucket.error/0","type":"type","doc":""},{"ref":"Aliyun.Oss.Object.html","title":"Aliyun.Oss.Object","type":"module","doc":"Object 相关操作"},{"ref":"Aliyun.Oss.Object.html#append_object/5","title":"Aliyun.Oss.Object.append_object/5","type":"function","doc":"AppendObject接口用于以追加写的方式上传Object。 Examples iex&gt; Aliyun.Oss.Object.append_object(&quot;some-bucket&quot;, &quot;some-object&quot;, 0) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 01 Mar 2019 05:57:23 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;ETag&quot;, &quot;&quot;B38D0000000000000000000000000000&quot;&quot;}, {&quot;x-oss-next-append-position&quot;, &quot;10&quot;}, {&quot;x-oss-hash-crc64ecma&quot;, &quot;8000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;17&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#copy_object/3","title":"Aliyun.Oss.Object.copy_object/3","type":"function","doc":"CopyObject接口用于在存储空间（Bucket ） 内或同地域的Bucket之间拷贝文件（Object）。 Examples iex&gt; Aliyun.Oss.Object.copy_object({&quot;source-bucket&quot;, &quot;source-object&quot;}, {&quot;target-bucket&quot;, &quot;target-object&quot;}) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;CopyObjectResult&quot; =&gt; %{ &quot;ETag&quot; =&gt; &quot;&quot;D2D50000000000000000000000000000&quot;&quot;, &quot;LastModified&quot; =&gt; &quot;2019-02-27T09:21:13.000Z&quot; } }, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#delete_multiple_objects/3","title":"Aliyun.Oss.Object.delete_multiple_objects/3","type":"function","doc":"DeleteMultipleObjects接口用于删除同一个存储空间（Bucket）中的多个文件（Object）。 Options :encoding_type - Accept value: :url :quiet - Set true to enable the quiet mode, default is false Examples iex&gt; Aliyun.Oss.Object.delete_multiple_objects(&quot;some-bucket&quot;, [&quot;object1&quot;, &quot;object2&quot;]) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;DeleteResult&quot; =&gt; %{ &quot;Deleted&quot; =&gt; [%{&quot;key&quot; =&gt; &quot;object1&quot;}, %{&quot;key&quot; =&gt; &quot;object2&quot;}] } }, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#delete_object/3","title":"Aliyun.Oss.Object.delete_object/3","type":"function","doc":"DeleteObject用于删除某个文件（Object）。 Examples iex&gt; Aliyun.Oss.Object.delete_object(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#delete_object_tagging/2","title":"Aliyun.Oss.Object.delete_object_tagging/2","type":"function","doc":"通过DeleteObjectTagging删除指定对象的标签。 Examples iex&gt; Aliyun.Oss.Object.delete_object_tagging(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#get_object/4","title":"Aliyun.Oss.Object.get_object/4","type":"function","doc":"GetObject 用于获取某个 Object Examples iex&gt; Aliyun.Oss.Object.get_object(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &lt;&lt;208, 207, 17, 224, 161, 177, 26, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 0, 3, 0, 254, 255, 9, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 0, 0, 0, ...&gt;&gt;, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } } 亦可用于获取某个 Object 指定 SubResource(GetObjectXXX)。 Examples iex&gt; Aliyun.Oss.Object.get_object(&quot;some-bucket&quot;, &quot;some-object&quot;, %{}, %{&quot;acl&quot; =&gt; nil}) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;AccessControlPolicy&quot; =&gt; %{ &quot;AccessControlList&quot; =&gt; %{&quot;Grant&quot; =&gt; &quot;default&quot;}, &quot;Owner&quot; =&gt; %{ &quot;DisplayName&quot; =&gt; &quot;1111111111111111&quot;, &quot;ID&quot; =&gt; &quot;1111111111111111&quot; } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#get_object_acl/2","title":"Aliyun.Oss.Object.get_object_acl/2","type":"function","doc":"GetObjectACL 用来获取某个Bucket下的某个Object的访问权限。 Examples iex&gt; Aliyun.Oss.Object.get_object_acl(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{ &quot;AccessControlPolicy&quot; =&gt; %{ &quot;AccessControlList&quot; =&gt; %{&quot;Grant&quot; =&gt; &quot;default&quot;}, &quot;Owner&quot; =&gt; %{ &quot;DisplayName&quot; =&gt; &quot;1111111111111111&quot;, &quot;ID&quot; =&gt; &quot;1111111111111111&quot; } } }, headers: [ {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#get_object_tagging/2","title":"Aliyun.Oss.Object.get_object_tagging/2","type":"function","doc":"通过GetObjectTagging接口获取对象的标签信息。 Examples iex&gt; Aliyun.Oss.Object.get_object_tagging(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: %{&quot;Tagging&quot; =&gt; %{&quot;TagSet&quot; =&gt; [%{&quot;Key&quot; =&gt; &quot;key&quot;, &quot;Value&quot; =&gt; &quot;value&quot;}]}}, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 01 Mar 2019 06:26:07 GMT&quot;}, {&quot;Content-Type&quot;, &quot;text/plain&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C7000000000000000000000&quot;}, {&quot;Last-Modified&quot;, &quot;Fri, 01 Mar 2019 06:23:13 GMT&quot;}, {&quot;ETag&quot;, &quot;&quot;6751C000000000000000000000000000&quot;&quot;}, {&quot;x-oss-symlink-target&quot;, &quot;test.txt&quot;}, {&quot;x-oss-server-time&quot;, &quot;1&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#get_symlink/2","title":"Aliyun.Oss.Object.get_symlink/2","type":"function","doc":"GetSymlink接口用于获取符号链接。此操作需要您对该符号链接有读权限。 Examples iex&gt; Aliyun.Oss.Object.get_symlink(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 01 Mar 2019 06:26:07 GMT&quot;}, {&quot;Content-Type&quot;, &quot;text/plain&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C7000000000000000000000&quot;}, {&quot;Last-Modified&quot;, &quot;Fri, 01 Mar 2019 06:23:13 GMT&quot;}, {&quot;ETag&quot;, &quot;&quot;6751C000000000000000000000000000&quot;&quot;}, {&quot;x-oss-symlink-target&quot;, &quot;test.txt&quot;}, {&quot;x-oss-server-time&quot;, &quot;1&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#head_object/3","title":"Aliyun.Oss.Object.head_object/3","type":"function","doc":"HeadObject只返回某个Object的meta信息，不返回文件内容。 Examples iex&gt; Aliyun.Oss.Object.head_object(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 05:50:02 GMT&quot;}, {&quot;Content-Type&quot;, &quot;application/octet-stream&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C0000000000000000000000&quot;}, {&quot;Accept-Ranges&quot;, &quot;bytes&quot;}, {&quot;ETag&quot;, &quot;&quot;D4100000000000000000000000000000&quot;&quot;}, {&quot;Last-Modified&quot;, &quot;Mon, 15 Oct 2018 01:38:47 GMT&quot;}, {&quot;x-oss-object-type&quot;, &quot;Normal&quot;}, {&quot;x-oss-hash-crc64ecma&quot;, &quot;0&quot;}, {&quot;x-oss-storage-class&quot;, &quot;IA&quot;}, {&quot;Content-MD5&quot;, &quot;1B2M2Y8AsgTpgAmY7PhCfg==&quot;}, {&quot;x-oss-server-time&quot;, &quot;19&quot;} ] }} iex&gt; Aliyun.Oss.Object.head_object(&quot;some-bucket&quot;, &quot;unknown-object&quot;) {:error, %Aliyun.Oss.Client.Error{status_code: 404, body: &quot;&quot;, parsed_details: nil}}"},{"ref":"Aliyun.Oss.Object.html#object_url/3","title":"Aliyun.Oss.Object.object_url/3","type":"function","doc":"生成包含签名的 URL Examples iex&gt; expires = Timex.now() |&gt; Timex.shift(days: 1) |&gt; Timex.to_unix() iex&gt; Aliyun.Oss.Object.object_url(&quot;some-bucket&quot;, &quot;some-object&quot;, expires) &quot;http://oss-example.oss-cn-hangzhou.aliyuncs.com/oss-api.pdf?OSSAccessKeyId=nz2pc56s936**9l&amp;Expires=1141889120&amp;Signature=vjbyPxybdZaNmGa%2ByT272YEAiv4%3D&quot;"},{"ref":"Aliyun.Oss.Object.html#put_object/5","title":"Aliyun.Oss.Object.put_object/5","type":"function","doc":"PutObject接口用于上传文件（Object）。 添加的文件大小不得超过5 GB。 如果已经存在同名的Object，并且有访问权限，则新添加的文件将覆盖原来的文件，并成功返回200 OK。 Examples iex&gt; Aliyun.Oss.Object.put_object(&quot;some-bucket&quot;, &quot;some-object&quot;, &quot;CONTENT&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#put_object_acl/3","title":"Aliyun.Oss.Object.put_object_acl/3","type":"function","doc":"PutObjectACL接口用于修改Object的访问权限。 Examples iex&gt; Aliyun.Oss.Object.put_object_acl(&quot;some-bucket&quot;, &quot;some-object&quot;, &quot;private&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#put_object_tagging/3","title":"Aliyun.Oss.Object.put_object_tagging/3","type":"function","doc":"通过PutObjectTagging接口设置或更新对象的标签（Object Tagging）。 Examples iex&gt; Aliyun.Oss.Object.put_object_tagging(&quot;some-bucket&quot;, &quot;some-object&quot;, [{&quot;key1&quot;, &quot;value1&quot;}, {:key2, &quot;value2}]) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#put_symlink/4","title":"Aliyun.Oss.Object.put_symlink/4","type":"function","doc":"PutSymlink接口用于为OSS的TargetObject创建软链接，您可以通过该软链接访问TargetObject。 Examples iex&gt; Aliyun.Oss.Object.put_symlink(&quot;some-bucket&quot;, &quot;symlink&quot;, &quot;target-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Wed, 05 Dec 2018 02:34:57 GMT&quot;}, ... ] } }"},{"ref":"Aliyun.Oss.Object.html#restore_object/2","title":"Aliyun.Oss.Object.restore_object/2","type":"function","doc":"RestoreObject接口用于解冻归档类型（Archive）的文件（Object）。 Examples iex&gt; Aliyun.Oss.Object.restore_object(&quot;some-bucket&quot;, &quot;some-object&quot;) {:ok, %Aliyun.Oss.Client.Response{ data: &quot;&quot;, headers: [ {&quot;Server&quot;, &quot;AliyunOSS&quot;}, {&quot;Date&quot;, &quot;Fri, 01 Mar 2019 06:38:21 GMT&quot;}, {&quot;Content-Length&quot;, &quot;0&quot;}, {&quot;Connection&quot;, &quot;keep-alive&quot;}, {&quot;x-oss-request-id&quot;, &quot;5C7000000000000000000000&quot;}, {&quot;x-oss-server-time&quot;, &quot;7&quot;} ] } }"},{"ref":"Aliyun.Oss.Object.html#sign_post_policy/2","title":"Aliyun.Oss.Object.sign_post_policy/2","type":"function","doc":"签名 Post Policy 返回签名字符串及编码后的 policy Examples iex&gt; policy = %{ ...&gt; &quot;conditions&quot; =&gt; [ ...&gt; [&quot;content-length-range&quot;, 0, 10485760], ...&gt; %{&quot;bucket&quot; =&gt; &quot;ahaha&quot;}, ...&gt; %{&quot;A&quot; =&gt; &quot;a&quot;}, ...&gt; %{&quot;key&quot; =&gt; &quot;ABC&quot;} ...&gt; ], ...&gt; &quot;expiration&quot; =&gt; &quot;2013-12-01T12:00:00Z&quot; ...&gt;} iex&gt; Aliyun.Oss.Object.sign_post_policy(policy) %{ policy: &quot;eyJjb25kaXRpb25zIjpbWyJjb250ZW50LWxlbmd0aC1yYW5nZSIsMCwxMDQ4NTc2MF0seyJidWNrZXQiOiJhaGFoYSJ9LHsiQSI6ImEifSx7ImtleSI6IkFCQyJ9XSwiZXhwaXJhdGlvbiI6IjIwMTMtMTItMDFUMTI6MDA6MDBaIn0=&quot;, signature: &quot;W835KpLsL6k1/oo28RcsEflB6hw=&quot; }"},{"ref":"Aliyun.Oss.Object.html#t:error/0","title":"Aliyun.Oss.Object.error/0","type":"type","doc":""},{"ref":"Aliyun.Oss.Client.html","title":"Aliyun.Oss.Client","type":"module","doc":""},{"ref":"Aliyun.Oss.Client.html#request/1","title":"Aliyun.Oss.Client.request/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Error.html","title":"Aliyun.Oss.Client.Error","type":"module","doc":""},{"ref":"Aliyun.Oss.Client.Error.html#parse/1","title":"Aliyun.Oss.Client.Error.parse/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Error.html#parse/2","title":"Aliyun.Oss.Client.Error.parse/2","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Request.html","title":"Aliyun.Oss.Client.Request","type":"module","doc":""},{"ref":"Aliyun.Oss.Client.Request.html#build/1","title":"Aliyun.Oss.Client.Request.build/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Request.html#build_signed/1","title":"Aliyun.Oss.Client.Request.build_signed/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Request.html#gen_signature/1","title":"Aliyun.Oss.Client.Request.gen_signature/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Request.html#query_url/1","title":"Aliyun.Oss.Client.Request.query_url/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Response.html","title":"Aliyun.Oss.Client.Response","type":"module","doc":""},{"ref":"Aliyun.Oss.Client.Response.html#parse/2","title":"Aliyun.Oss.Client.Response.parse/2","type":"function","doc":""},{"ref":"Aliyun.Oss.Client.Response.html#parse_body/1","title":"Aliyun.Oss.Client.Response.parse_body/1","type":"function","doc":""},{"ref":"Aliyun.Oss.Config.html","title":"Aliyun.Oss.Config","type":"module","doc":""},{"ref":"Aliyun.Oss.Config.html#access_key_id/0","title":"Aliyun.Oss.Config.access_key_id/0","type":"function","doc":""},{"ref":"Aliyun.Oss.Config.html#access_key_secret/0","title":"Aliyun.Oss.Config.access_key_secret/0","type":"function","doc":""},{"ref":"Aliyun.Oss.Config.html#endpoint/0","title":"Aliyun.Oss.Config.endpoint/0","type":"function","doc":""}]